polybori::cached_block_deg< NavigatorType > Class Template Reference

`#include <CTermStack.h>`

## Public Types

typedef NavigatorType::idx_type | idx_type
typedef cached_block_deg < NavigatorType > | self
typedef std::vector< idx_type > | block_idx_type
| Type for block indices. More...
typedef block_idx_type::const_iterator | block_iterator
| Type for block iterators. More...
typedef CBlockDegreeCache < BooleEnv::dd_type > | cache_type
typedef cache_type::manager_type | manager_type

## Public Member Functions

| cached_block_deg (const manager_type &mgr)
NavigatorType::size_type | operator() (NavigatorType navi) const
idx_type | min () const
idx_type | max () const
self & | operator++ ()
self & | operator-- ()

## Member Typedef Documentation

template<class NavigatorType>

typedef std::vector<idx_type> polybori::cached_block_deg< NavigatorType >::block_idx_type

Type for block indices.

template<class NavigatorType>

typedef block_idx_type::const_iterator polybori::cached_block_deg< NavigatorType >::block_iterator

Type for block iterators.

template<class NavigatorType>

typedef CBlockDegreeCache<BooleEnv::dd_type> polybori::cached_block_deg< NavigatorType >::cache_type

template<class NavigatorType>

typedef NavigatorType::idx_type polybori::cached_block_deg< NavigatorType >::idx_type

template<class NavigatorType>

typedef cache_type::manager_type polybori::cached_block_deg< NavigatorType >::manager_type

template<class NavigatorType>

typedef cached_block_deg<NavigatorType> polybori::cached_block_deg< NavigatorType >::self

## Constructor & Destructor Documentation

template<class NavigatorType>

polybori::cached_block_deg< NavigatorType >::cached_block_deg | ( | const manager_type & | mgr) |  |

inline

## Member Function Documentation

template<class NavigatorType>

idx_type polybori::cached_block_deg< NavigatorType >::max | ( | ) |  | const

inline

template<class NavigatorType>

idx_type polybori::cached_block_deg< NavigatorType >::min | ( | ) |  | const

inline

template<class NavigatorType>

NavigatorType::size_type polybori::cached_block_deg< NavigatorType >::operator() | ( | NavigatorType | navi) |  | const

inline

template<class NavigatorType>

self& polybori::cached_block_deg< NavigatorType >::operator++ | ( | ) |  |

inline

template<class NavigatorType>

self& polybori::cached_block_deg< NavigatorType >::operator-- | ( | ) |  |

inline

The documentation for this class was generated from the following file:

- CTermStack.h